
#ifndef TREECON_DEF

#define TREECON_DEF

#include "err.h"

typedef void (* _VPROCPTR) ();

typedef struct {POSITION _pos; _VPROCPTR _proc;}* NODEPTR;

#define NULLNODEPTR ((NODEPTR)0)

#include "treestack.h"

extern void SourceLeaf ();

extern void InitTree();

extern NODEPTR MkxIdent( );

extern NODEPTR MkxLit( );

extern NODEPTR MkxNum( );

extern NODEPTR MkxCLit( );

extern NODEPTR MkxChar( );

extern NODEPTR MkxFloat( );

extern NODEPTR MkStartRule( );

extern NODEPTR MkCode_1( );

extern NODEPTR MkCode_2( );

extern NODEPTR MkCode_3( );

extern NODEPTR MkCode_4( );

extern NODEPTR MkStop_1( );

extern NODEPTR MkStop_2( );

extern NODEPTR MkStop_3( );

extern NODEPTR MkError_1( );

extern NODEPTR MkError_2( );

extern NODEPTR MkError_3( );

extern NODEPTR MkError_4( );

extern NODEPTR MkError_5( );

extern NODEPTR MkError_6( );

extern NODEPTR MkError_7( );

extern NODEPTR MkError_8( );

extern NODEPTR MkError_9( );

extern NODEPTR MkError_10( );

extern NODEPTR MkError_11( );

extern NODEPTR MkError_12( );

extern NODEPTR MkError_13( );

extern NODEPTR MkMeta_1( );

extern NODEPTR MkMeta_2( );

extern NODEPTR MkMeta_3( );

extern NODEPTR MkMeta_4( );

extern NODEPTR MkMeta_5( );

extern NODEPTR MkMeta_6( );

extern NODEPTR MkMeta_7( );

extern NODEPTR MkProd_1( );

extern NODEPTR MkProd_2( );

extern NODEPTR MkProd_3( );

extern NODEPTR MkProd_4( );

extern NODEPTR MkProd_5( );

extern NODEPTR MkProd_6( );

extern NODEPTR MkProd_7( );

extern NODEPTR MkProd_8( );

extern NODEPTR MkRhs_1( );

extern NODEPTR MkRhs_2( );

extern NODEPTR MkRhs_3( );

extern NODEPTR MkRhs_4( );

extern NODEPTR MkRhs_8( );

extern NODEPTR MkRhs_9( );

extern NODEPTR MkRhs_5( );

extern NODEPTR MkRhs_6( );

extern NODEPTR MkRhs_7( );

extern NODEPTR MkRhs_10( );

extern NODEPTR MkRhs_11( );

extern NODEPTR MkSymbol_1( );

extern NODEPTR MkSymbol_2( );

extern NODEPTR MkSymbol_3( );

extern NODEPTR MkSymbol_4( );

extern NODEPTR MkSymbol_5( );

extern NODEPTR MkpRoot( );

extern NODEPTR MkpAbstract( );

extern NODEPTR MkpNull( );

extern NODEPTR MkpRule( );

extern NODEPTR MkpProd( );

extern NODEPTR MkpChainProd( );

extern NODEPTR MkpListProd( );

extern NODEPTR MkpTopList( );

extern NODEPTR MkpnoAlt( );

extern NODEPTR MkpIdAlt( );

extern NODEPTR MkpProdId( );

extern NODEPTR MkpIdUnit( );

extern NODEPTR MkpLitUnit( );

extern NODEPTR MkpSyntId( );

extern NODEPTR MkpAG( );

extern NODEPTR Mkp1( );

extern NODEPTR Mkp2( );

extern NODEPTR Mkp3( );

extern NODEPTR Mkp4( );

extern NODEPTR Mkp5( );

extern NODEPTR Mkp6( );

extern NODEPTR Mkp7( );

extern NODEPTR Mkp8( );

extern NODEPTR MkpAttrNameDef( );

extern NODEPTR MkpChainNameDef( );

extern NODEPTR Mkp9( );

extern NODEPTR Mkp10( );

extern NODEPTR MkpAttrName( );

extern NODEPTR MkpClass( );

extern NODEPTR MkpNoClass( );

extern NODEPTR MkpSymDef( );

extern NODEPTR Mkp0( );

extern NODEPTR Mkp11( );

extern NODEPTR MkpSymDefId( );

extern NODEPTR MkpSymb( );

extern NODEPTR MkpNont( );

extern NODEPTR MkpTerm( );

extern NODEPTR Mkp15( );

extern NODEPTR Mkp16( );

extern NODEPTR Mkp17( );

extern NODEPTR Mkp18( );

extern NODEPTR MkpAttrDef( );

extern NODEPTR Mkp19( );

extern NODEPTR Mkp20( );

extern NODEPTR MkpAttrDefId( );

extern NODEPTR MkpOldTypeDef( );

extern NODEPTR MkpTypeId( );

extern NODEPTR MkpOldExtName( );

extern NODEPTR Mkp23( );

extern NODEPTR MkpOldListTo( );

extern NODEPTR Mkp25( );

extern NODEPTR MkpSymComp( );

extern NODEPTR Mkp28( );

extern NODEPTR Mkp29( );

extern NODEPTR Mkp30( );

extern NODEPTR Mkp31( );

extern NODEPTR MkpInhSym( );

extern NODEPTR MkpRuleDefId( );

extern NODEPTR MkpAlts( );

extern NODEPTR MkpAlt( );

extern NODEPTR MkpSyntUnits( );

extern NODEPTR MkpgenUnit( );

extern NODEPTR MkpNoSyntUnit( );

extern NODEPTR Mkp37( );

extern NODEPTR Mkp38( );

extern NODEPTR MkpOldStatic( );

extern NODEPTR Mkp40( );

extern NODEPTR MkpOldAssign( );

extern NODEPTR Mkp42( );

extern NODEPTR Mkp43( );

extern NODEPTR Mkp44( );

extern NODEPTR Mkp45( );

extern NODEPTR MkpOldChainStart( );

extern NODEPTR MkpChainStart( );

extern NODEPTR MkpCmpAttrComp( );

extern NODEPTR MkpAttrComp( );

extern NODEPTR MkpDefAttr( );

extern NODEPTR MkpDefLocAttr( );

extern NODEPTR MkpExprComp( );

extern NODEPTR MkpOldCond( );

extern NODEPTR MkpTransfer( );

extern NODEPTR Mkp50( );

extern NODEPTR MkpOldTrans( );

extern NODEPTR Mkp52( );

extern NODEPTR Mkp53( );

extern NODEPTR MkpTransAttrId( );

extern NODEPTR Mkp54( );

extern NODEPTR Mkp55( );

extern NODEPTR MkpTransSym( );

extern NODEPTR Mkp56( );

extern NODEPTR MkpAttr( );

extern NODEPTR MkpLocAttr( );

extern NODEPTR MkpSymOcc( );

extern NODEPTR MkpSymId( );

extern NODEPTR MkpIndex( );

extern NODEPTR MkpNoIndex( );

extern NODEPTR MkpAttrExpr( );

extern NODEPTR MkpLocAttrExpr( );

extern NODEPTR MkpCall( );

extern NODEPTR MkpRemoteExpr( );

extern NODEPTR MkpExprId( );

extern NODEPTR MkpLit( );

extern NODEPTR MkpCLit( );

extern NODEPTR MkpChar( );

extern NODEPTR MkpFloat( );

extern NODEPTR MkpNum( );

extern NODEPTR MkpExprWDep( );

extern NODEPTR MkpExprWODep( );

extern NODEPTR MkpDepClause( );

extern NODEPTR Mkp71( );

extern NODEPTR Mkp72( );

extern NODEPTR Mkp73( );

extern NODEPTR Mkp74( );

extern NODEPTR MkpRemoteDep( );

extern NODEPTR MkpAttrDep( );

extern NODEPTR MkpLocDep( );

extern NODEPTR Mkp78( );

extern NODEPTR Mkp79( );

extern NODEPTR Mkp80( );

extern NODEPTR Mkp81( );

extern NODEPTR MkpParam( );

extern NODEPTR MkpIncluding( );

extern NODEPTR Mkp84( );

extern NODEPTR Mkp85( );

extern NODEPTR Mkp86( );

extern NODEPTR Mkp87( );

extern NODEPTR MkpRemoteAttr( );

extern NODEPTR MkpConstituents( );

extern NODEPTR MkpConstituent( );

extern NODEPTR MkpExpandWith( );

extern NODEPTR MkpNoWith( );

extern NODEPTR MkpSubtree( );

extern NODEPTR MkpNoSubtree( );

extern NODEPTR MkpShield( );

extern NODEPTR MkpnoShield( );

extern NODEPTR Mkp88( );

extern NODEPTR Mkp89( );

extern NODEPTR Mkp90( );

extern NODEPTR Mkp91( );

extern NODEPTR Mkp92( );

extern NODEPTR MkpShSym( );

#endif


